Home | Tutorials | Wiki | Issues
Ask Your Question
0

Could not find a package configuration file provided by "gazebo" with any of the following names:gazeboConfig.cmake gazebo-config.cmake

asked 2017-09-07 12:43:17 -0500

Ji Cai gravatar image

What should I do to solve this problem?image description

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-09-07 12:58:53 -0500

sloretz gravatar image

Which version of gazebo is installed? Find out using gazebo --version. For example, I have gazebo 7.

$ gazebo --version
Gazebo multi-robot simulator, version 7.7.0
Copyright (C) 2012 Open Source Robotics Foundation.
Released under the Apache 2 License.
http://gazebosim.org

You'll need the the dev package for that version of gazebo. For gazebo 7 run sudo apt install libgazebo7-dev.

You can find more information about setting up a computer to build plugins in the first few sections of this tutorial http://gazebosim.org/tutorials?tut=gu....

edit flag offensive delete link more

Comments

I have solved this problem by following the installation tutorial, and 'sudo' the basic files. Thank you for your help.

Ji Cai gravatar imageJi Cai ( 2017-09-07 13:05:31 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2017-09-07 12:43:17 -0500

Seen: 227 times

Last updated: Sep 07